namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(IndustrialEngineeringSkill), 0)]   
    public partial class SteelPlateRecipe : Recipe
    {
        public SteelPlateRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<SteelPlateItem>(),          
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<SteelItem>(typeof(IndustrialEngineeringEfficiencySkill), 5, IndustrialEngineeringEfficiencySkill.MultiplicativeStrategy), 
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(SteelPlateRecipe), Item.Get<SteelPlateItem>().UILink(), 4, typeof(IndustrialEngineeringSpeedSkill));    
            this.Initialize("Steel Plate", typeof(SteelPlateRecipe));

            CraftingComponent.AddRecipe(typeof(ElectricStampingPressObject), this);
        }
    }


    [Serialized]
    [Weight(100)]      
    [Currency]              
    public partial class SteelPlateItem :
    Item                                     
    {
        public override string FriendlyName { get { return "Steel Plate"; } } 
        public override string Description { get { return ""; } }

    }

}